instalação de wine foi interrompida e denpendencias estão desencontradas

1. instalação de wine foi interrompida e denpendencias estão desencontradas

juliana
flor_caliandra

(usa Ubuntu)

Enviado em 18/07/2021 - 11:36h

Bom dia! Estava instalando o wine no ubuntu 20.04 64bits e tive que sair, o computador embernou enquanto baixava os pacotes, e foi interrompida. Agora eu tento desinstalar os pacotes que estão travando tudo, mas fico alternando entre dois erros, sem conseguir sair desse looping: Sub-process /usr/bin/dpkg returned an error code (1) quando tento resolver cai no erro de pacotes com dependências desencontradas, se uso o apt --fix-broken install cai no erro anterior. não sei o que fazer!!!!!

A descompactar gcc-10-base:i386 (10.3.0-1ubuntu1~20.04) ...
Erros foram encontrados durante o processamento de:
/tmp/apt-dpkg-install-KH7f0J/5-libc6_2.31-0ubuntu9.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1) [quando voltei estava nesse erro, busquei em tutoriais e digitei o próximo comando]
~$ sudo dpkg --configure -a
dpkg: problemas com dependências impedem a configuração de libgcc-s1:i386:
libgcc-s1:i386 depende de libc6 (>= 2.2.4); porém:
Pacote libc6:i386 não está instalado.

dpkg: erro ao processar o pacote libgcc-s1:i386 (--configure):
problemas de dependência - deixando desconfigurado
Configurando libsystemd0:amd64 (245.4-4ubuntu3.7) ...
Configurando grub-pc (2.04-1ubuntu26.12) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: erro ao processar o pacote grub-pc (--configure):
o subprocesso instalado, do pacote grub-pc, o script post-installation retornou erro do status de saída 1
Configurando gcc-10-base:i386 (10.3.0-1ubuntu1~20.04) ...
Configurando udev (245.4-4ubuntu3.7) ...
update-initramfs: deferring update (trigger activated)
dpkg: problemas com dependências impedem a configuração de libudev1:i386:
libudev1:i386 depende de libc6 (>= 2.30); porém:
Pacote libc6:i386 não está instalado.

dpkg: erro ao processar o pacote libudev1:i386 (--configure):
problemas de dependência - deixando desconfigurado
Configurando systemd (245.4-4ubuntu3.7) ...
Configurando systemd-timesyncd (245.4-4ubuntu3.7) ...
Configurando systemd-sysv (245.4-4ubuntu3.7) ...
Configurando libnss-systemd:amd64 (245.4-4ubuntu3.7) ...
Configurando libpam-systemd:amd64 (245.4-4ubuntu3.7) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: erro ao processar o pacote libpam-systemd:amd64 (--configure):
o subprocesso instalado, do pacote libpam-systemd:amd64, o script post-installation retornou erro do status de saída 1
A processar 'triggers' para libc-bin (2.31-0ubuntu9.2) ...
A processar 'triggers' para man-db (2.9.1-1) ...
A processar 'triggers' para dbus (1.12.16-2ubuntu2.1) ...
A processar 'triggers' para initramfs-tools (0.136ubuntu6.4) ...
update-initramfs: Generating /boot/initrd.img-5.10.0-1033-oem
W: Possible missing firmware /lib/firmware/i915/tgl_huc_7.5.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_huc_7.5.0.bin for module i915
Erros foram encontrados durante o processamento de:
libgcc-s1:i386
grub-pc
libudev1:i386
libpam-systemd:amd64

ao usar o comando ~$ sudo apt-get install -f tive esse retorno:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
apt-clone archdetect-deb dmraid gir1.2-timezonemap-1.0 gir1.2-xkl-1.0 kpartx
kpartx-boot libdebian-installer4 libdmraid1.0.0.rc16 libtimezonemap-data
libtimezonemap1 python3-icu python3-pam rdate
Utilize 'sudo apt autoremove' para os remover.
The following additional packages will be installed:
libc6:i386 libcrypt1:i386 libidn2-0:i386 libunistring2:i386
Pacotes sugeridos:
glibc-doc:i386 locales:i386
Os NOVOS pacotes a seguir serão instalados:
libc6:i386 libcrypt1:i386 libidn2-0:i386 libunistring2:i386
0 pacotes atualizados, 4 pacotes novos instalados, 0 a serem removidos e 163 não atualizados.
4 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/3.092 kB de arquivos.
Depois desta operação, 14,8 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
A seleccionar pacote anteriormente não seleccionado libcrypt1:i386.
(Lendo banco de dados ... 200059 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../libcrypt1_1%3a4.4.10-10ubuntu4_i386.deb ...
A descompactar libcrypt1:i386 (1:4.4.10-10ubuntu4) ...
A preparar para desempacotar .../libc6_2.31-0ubuntu9.2_i386.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: erro ao processar o arquivo /var/cache/apt/archives/libc6_2.31-0ubuntu9.2_i386.deb (--unpack):
o subprocesso do pacote libc6:i386, novo script pre-installation retornou erro do status de saída 1
A seleccionar pacote anteriormente não seleccionado libunistring2:i386.
A preparar para desempacotar .../libunistring2_0.9.10-2_i386.deb ...
A descompactar libunistring2:i386 (0.9.10-2) ...
A seleccionar pacote anteriormente não seleccionado libidn2-0:i386.
A preparar para desempacotar .../libidn2-0_2.2.0-2_i386.deb ...
A descompactar libidn2-0:i386 (2.2.0-2) ...
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/libc6_2.31-0ubuntu9.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

tentei desisntalar o wine: sudo apt install --install-recommends winehq-stable
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
libcrypt1:i386 : Depende: libc6:i386 (>= 2.25) mas não será instalado
libgcc-s1:i386 : Depende: libc6:i386 (>= 2.2.4) mas não será instalado
libidn2-0:i386 : Depende: libc6:i386 (>= 2.4) mas não será instalado
libudev1:i386 : Depende: libc6:i386 (>= 2.30) mas não será instalado
libunistring2:i386 : Depende: libc6:i386 (>= 2.7) mas não será instalado
winehq-stable : Depende: wine-stable (= 6.0.1~focal-1)
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).

usei o que foi sugerido sudo apt --fix-broken install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
apt-clone archdetect-deb dmraid gir1.2-timezonemap-1.0 gir1.2-xkl-1.0 kpartx
kpartx-boot libdebian-installer4 libdmraid1.0.0.rc16 libtimezonemap-data
libtimezonemap1 python3-icu python3-pam rdate
Utilize 'sudo apt autoremove' para os remover.
The following additional packages will be installed:
libc6:i386
Pacotes sugeridos:
glibc-doc:i386 locales:i386
Os NOVOS pacotes a seguir serão instalados:
libc6:i386
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 163 não atualizados.
7 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/2.572 kB de arquivos.
Depois desta operação, 12,7 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
(Lendo banco de dados ... 200066 ficheiros e directórios actualmente instalados.
)
A preparar para desempacotar .../libc6_2.31-0ubuntu9.2_i386.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another p
rocess: Resource temporarily unavailable
dpkg: erro ao processar o arquivo /var/cache/apt/archives/libc6_2.31-0ubuntu9.2_
i386.deb (--unpack):
o subprocesso do pacote libc6:i386, novo script pre-installation retornou erro
do status de saída 1
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/libc6_2.31-0ubuntu9.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1) [ e volta ao mesmo erro!!!!!!]

tentei remover o wine:
sudo apt-get remove --purge wine
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote 'wine' não está instalado, por isso não será removido
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
libcrypt1:i386 : Depende: libc6:i386 (>= 2.25) mas não será instalado
libgcc-s1:i386 : Depende: libc6:i386 (>= 2.2.4) mas não será instalado
libidn2-0:i386 : Depende: libc6:i386 (>= 2.4) mas não será instalado
libudev1:i386 : Depende: libc6:i386 (>= 2.30) mas não será instalado
libunistring2:i386 : Depende: libc6:i386 (>= 2.7) mas não será instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).

sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
apt-clone archdetect-deb dmraid gir1.2-timezonemap-1.0 gir1.2-xkl-1.0 kpartx
kpartx-boot libdebian-installer4 libdmraid1.0.0.rc16 libtimezonemap-data
libtimezonemap1 python3-icu python3-pam rdate
Utilize 'sudo apt autoremove' para os remover.
The following additional packages will be installed:
libc6:i386
Pacotes sugeridos:
glibc-doc:i386 locales:i386
Os NOVOS pacotes a seguir serão instalados:
libc6:i386
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 163 não atualizados.
7 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/2.572 kB de arquivos.
Depois desta operação, 12,7 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
(Lendo banco de dados ... 200066 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../libc6_2.31-0ubuntu9.2_i386.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: erro ao processar o arquivo /var/cache/apt/archives/libc6_2.31-0ubuntu9.2_i386.deb (--unpack):
o subprocesso do pacote libc6:i386, novo script pre-installation retornou erro do status de saída 1
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/libc6_2.31-0ubuntu9.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1) [mesmo erro]








  


2. Oi

Dilan Severino de Oliveira
dilan1998

(usa Debian)

Enviado em 28/07/2021 - 20:14h



Tenta dpkg --configure -a
Estes comandos instalam o wine corretamente pelo menos aqui, antes de executalos faça " apt autoremove --purge wine "
dpkg --add-architecture i386 &&
wget -nc https://dl.winehq.org/wine-builds/winehq.key &&
apt-key add winehq.key && add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main' &&
apt --fix-broken install -y &&
apt install --install-recommends winehq-stable -y
Lembrando que o wine abre algumas telas interativas e tem que aceitar as atualizações, se funcionar de nada se não desculpa! aisjdiajdas



3. Re: instalação de wine foi interrompida e denpendencias estão desencontradas

Buckminster
Buckminster

(usa Debian)

Enviado em 29/07/2021 - 00:39h

debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable

fuser -v retornará o processo de bloqueio, se houver. Mate-o e tente fazer a atualização novamente. Na maioria das vezes, essa é uma situação temporária e o fuser não retornará nada. Basta realizar a atualização novamente para resolver o problema.

Faça:
sudo fuser -v /var/cache/debconf/config.dat
Veja a saída desse comando, então mate sem dó nem piedade o processo:
sudo kill PID <<< no lugar de PID coloca o número do processo da saída do comando acima.
ou
sudo kill -9 PID <<< se o primeiro não resolver.
apt-get update
aptitude safe-upgrade
apt-get install wine
e veja se resolve.

Senão faça:
sudo rm /var/cache/debconf/*.dat
e rode
apt-get update
aptitude safe-upgrade
apt-get install wine
e veja se resolve.







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts